# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_ticket_times

`krb5_ticket_times`

Ticket start time, end time, and renewal duration.

## Declaration

typedef struct _krb5_ticket_times krb5_ticket_times

## Members

krb5_timestamp `krb5_ticket_times.authtime`

  Time at which KDC issued the initial ticket that corresponds to this ticket.

krb5_timestamp `krb5_ticket_times.starttime`

  optional in ticket, if not present, use authtime

krb5_timestamp `krb5_ticket_times.endtime`

  Ticket expiration time.

krb5_timestamp `krb5_ticket_times.renew_till`

  Latest time at which renewal of ticket can be valid.